// ActorCrossLine.h: interface for the CActorCrossLine class.
//
//////////////////////////////////////////////////////////////////////

#ifndef __ACTORCROSSLINE_H_FIELDLAB__
#define __ACTORCROSSLINE_H_FIELDLAB__

#pragma once

#include "actor.h"

class vtkCrossLineSource;

//////////////////////////////////////////////////////////////////
// CActorCrossLine class
//		3D   ǥϱ      
//		 ǥϴ 
//////////////////////////////////////////////////////////////////
class AFX_EXT_CLASS CActorCrossLine  : public CActor
{
public:
	CActorCrossLine();
	virtual ~CActorCrossLine();

public:
	virtual void	Initialize();
	void			SetPosition(float* pos);
	void			SetLineLength(float fLength);			// center   
	void			SetShowShape(BOOL* bShowShape);			// crossline 
	float *			GetPostion(); 
	float			GetLength();
	BOOL *			GetShowShape();
	BOOL			IsLaserCord();
	void			SetLaserCord(BOOL bTrue);
protected:
	vtkCrossLineSource*		m_source;
	BOOL			m_bLaserCord; //  Cross LaserCord ǹ ϴ°?
};

#endif //__ACTORCROSSLINE_H_FIELDLAB__
